Subject: bug#76275: 31.0.50; frame-inhibit-implied-resize broken on recent master

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Mar 2025 13:13:55 +0200

> From: Sean Whitton <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 02 Mar 2025 16:05:47 +0800
> 
> Hello,
> 
> On Fri 28 Feb 2025 at 04:10pm +01, martin rudalics wrote:
> 
> >> If you understand why Sean sees a difference, please tell why, and I
> >> will try to see how to document that.
> >
> > Maybe Sean can tell.  Note that with my examples I never set any
> > parameters, don't consults X resources and use no init file.  Results
> > might differ with any of these set or used.
> 
> I believe that what might be unclear in my case is how
> window-size-change-functions is meant to apply to the creation of a new
> frame, rather than the easier case of resizing an existing frame.
> 
> If you assume that window-size-change-functions are applied relatively
> early in frame creation, and then read the current documentation, it all
> makes sense: "ah yes, my window-size-change-functions entry was changing
> the font size early, such that Emacs wouldn't consider the final initial
> size of the frame to have been agreed, yet, until after my code has run.
> So I need `force'."
> 
> But I don't know whether that is a correct assumption to make.

So what changes in the documentation would you suggest, and where?